Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action.hyperlinks
Class MapHyperlinkProducerFactoryFlowFactory

    java.lang.Object
      com.jaspersoft.jasperserver.war.action.hyperlinks.MapHyperlinkProducerFactoryFlowFactory

All Implemented Interfaces:
  HyperlinkProducerFactoryFlowFactory, java.io.Serializable

    public class MapHyperlinkProducerFactoryFlowFactory

extends java.lang.Object
implements HyperlinkProducerFactoryFlowFactory, java.io.Serializable

Version:
  $Id: MapHyperlinkProducerFactoryFlowFactory.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`MapHyperlinkProducerFactoryFlowFactory()`

Method Summary
`java.util.Map` | `getFlowHyperlinkProducers()`
`net.sf.jasperreports.engine.export.JRHyperlinkProducerFactory` | `getHyperlinkProducerFactory(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `setFlowHyperlinkProducers(java.util.Map producers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapHyperlinkProducerFactoryFlowFactory

    public MapHyperlinkProducerFactoryFlowFactory()

Method Detail

### getHyperlinkProducerFactory

    public net.sf.jasperreports.engine.export.JRHyperlinkProducerFactory getHyperlinkProducerFactory(javax.servlet.http.HttpServletRequest request,
                                                                                                     javax.servlet.http.HttpServletResponse response)

  Specified by:
    `getHyperlinkProducerFactory` in interface `HyperlinkProducerFactoryFlowFactory`

### getFlowHyperlinkProducers

    public java.util.Map getFlowHyperlinkProducers()

### setFlowHyperlinkProducers

    public void setFlowHyperlinkProducers(java.util.Map producers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.